Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class AbstractEffect

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.phonon.AbstractEffect

All Implemented Interfaces:
  AbstractEffectInterface, com.trolltech.qt.QtJambiInterface

    public abstract class AbstractEffect

extends com.trolltech.qt.QtJambiObject
implements AbstractEffectInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`com.trolltech.qt.QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`com.trolltech.qt.QSignalEmitter.AbstractSignal, com.trolltech.qt.QSignalEmitter.Signal0, com.trolltech.qt.QSignalEmitter.Signal1<A>, com.trolltech.qt.QSignalEmitter.Signal2<A,B>, com.trolltech.qt.QSignalEmitter.Signal3<A,B,C>, com.trolltech.qt.QSignalEmitter.Signal4<A,B,C,D>, com.trolltech.qt.QSignalEmitter.Signal5<A,B,C,D,E>, com.trolltech.qt.QSignalEmitter.Signal6<A,B,C,D,E,F>, com.trolltech.qt.QSignalEmitter.Signal7<A,B,C,D,E,F,G>, com.trolltech.qt.QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, com.trolltech.qt.QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `AbstractEffect()` This method is internal to Qt Jambi.
`protected` | `AbstractEffect(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_AbstractEffect(long ptr)` This method is internal to Qt Jambi.
`static AbstractEffect` | `fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)` This method is internal to Qt Jambi.
`abstract java.util.List<EffectParameter>` | `parameters()` This method is internal to Qt Jambi.
`abstract java.lang.Object` | `parameterValue(EffectParameter arg__1)` This method is internal to Qt Jambi.
`abstract void` | `setParameterValue(EffectParameter arg__1, java.lang.Object newValue)` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`__qt_signalInitialization, blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### AbstractEffect

    public AbstractEffect()

  This method is internal to Qt Jambi.

### AbstractEffect

    protected AbstractEffect(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### parameterValue

    public abstract java.lang.Object parameterValue(EffectParameter arg__1)

  This method is internal to Qt Jambi.

  Specified by:
    `parameterValue` in interface `AbstractEffectInterface`

### parameters

    public abstract java.util.List<EffectParameter> parameters()

  This method is internal to Qt Jambi.

  Specified by:
    `parameters` in interface `AbstractEffectInterface`

### setParameterValue

    public abstract void setParameterValue(EffectParameter arg__1,
                                           java.lang.Object newValue)

  This method is internal to Qt Jambi.

  Specified by:
    `setParameterValue` in interface `AbstractEffectInterface`

### fromNativePointer

    public static AbstractEffect fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)

  This method is internal to Qt Jambi.

### __qt_cast_to_AbstractEffect

    public long __qt_cast_to_AbstractEffect(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_AbstractEffect` in interface `AbstractEffectInterface`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD